package com.winhc.repal.enums;

/**
 * @Description: OverdueStatusEnum
 * @Author: xda
 * @Date: 2022/4/14 16:41
 */
public enum OverdueStatusEnum {

    /**
     *  逾期状态
     */
    正常(1),
    即将逾期(2),
    已逾期(3),
    已结清(4),
    已终止(5);

    private final Integer code;


    OverdueStatusEnum(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return this.code;
    }

}
