package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalCustomer DTO对象
 * @author Generator
 * @date 2022-04-08
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("客户/供应商查询")
public class RepalCustomerQueryDTO extends PageDTO {

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "排序类型 1创建时间升序 2账款数量升序 3账款数量降序 4账款总金额升序 5账款总金额降序 6(默认)创建时间倒序")
    private Integer sortType;

    //不开放
    private Integer custType;
}
