package com.winhc.repal.repository;

import com.winhc.repal.entity.RepalBook;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.vo.RepalBookInfoVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @description RepalBook Mapper 接口
 * @author Generator
 * @date 2022-04-08
 */
@Repository
public interface RepalBookMapper extends BaseMapper<RepalBook> {


    /**
     * 获取账本count和name
     * @param userId userId
     * @param repalGroupId repalGroupId
     * @param receivableFlag receivableFlag
     * @param receiptFlag receiptFlag
     * @return java.util.List<com.winhc.repal.model.vo.RepalBookInfoVO>
     * @author xda
     * @date 2022/5/5 17:40
     */
    List<RepalBookInfoVO> getRepalBookInfoList(@Param("userId") Long userId,
                                               @Param("repalGroupId") Long repalGroupId,
                                               @Param("receivableFlag") Boolean receivableFlag,
                                               @Param("receiptFlag") Boolean receiptFlag);


}
