package com.winhc.repal.cloud.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description: RepalRegUserInfoDTO
 * @Author: xda
 * @Date: 2022/5/12 15:16
 */
@Data
@ApiModel("回款宝用户注册对象")
public class RepalRegUserInfoDTO {

    @ApiModelProperty("操作人userId")
    private Long userId;


    @ApiModelProperty("注册用户对象")
    private List<RepalRegUserDTO> regUserList;

    @ApiModelProperty(value = "第三方服务商类型：1飞书；2钉钉")
    private String thirdPartyType;
}
