package com.winhc.repal.config;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: BeanConfig
 * @Author: xda
 * @Date: 2021/4/26 17:55
 */
@ConditionalOnProperty(value = "RUNTIME_ENV", havingValue = "K8S")
@Configuration
@EnableApolloConfig({"extension-config"})
public class EnvConfig {


}
