package com.winhc.repal.enums;

/**
 * @Description: RemindEnum
 * @Author: xda
 * @Date: 2022/4/14 16:33
 */
public enum RemindEnum {

    /**
     * 1.风险预警 2.财产线索 3.账款评级 4.逾期提醒
     * 智能提醒类型
     */
    风险预警("RISK"),
    财产线索("FINANCE"),
    账款评级("RANK"),
    逾期提醒("OVERDUE");

    private String code;

    RemindEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    ;
}
