package com.winhc.repal.model.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: UserContextBO
 * @Author: xda
 * @Date: 2022/4/6 18:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserContextBO {

    private Long userId;

    private String appVersion;

    private String appPackageName;

//    /**
//     *  是否超级管理员
//     */
//    private Boolean root;


    public static UserContextBO builderBO(Long userId, String appVersion, String appPackageName) {
        return new UserContextBO(userId, appVersion, appPackageName);
    }
//
//    public static UserContextBO builderBO(Long userId, String appVersion, String appPackageName, Boolean root) {
//        return new UserContextBO(userId, appVersion, appPackageName, root);
//    }
}
