package com.winhc.repal.model.dto;

import com.winhc.repal.model.vo.RepalGroupMemberVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description RepalCustomer实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="查询客户或供应商")
public class RepalCustomerDTO {
    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    private String industry;

    @ApiModelProperty(value = "办公地址,前面拼一下省市区")
    private String address;

    @ApiModelProperty(value = "负责人userId")
    private List<Long> charges;

    @ApiModelProperty(value = "联系人")
    private List<RepalLinkDTO> links;

    @ApiModelProperty(value = "附件JSON")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    private String remark;

    //不开放
    @ApiModelProperty("不需要传")
    private Integer custType;

}
