package com.winhc.repal.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.winhc.repal.entity.RepalCustChargeRel;
import com.winhc.repal.repository.RepalCustChargeRelMapper;
import com.winhc.repal.service.RepalCustChargeRelService;
import org.springframework.stereotype.Service;

/**
 * @description RepalCustChargeRel 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalCustChargeRelServiceImpl extends ServiceImpl<RepalCustChargeRelMapper, RepalCustChargeRel> implements RepalCustChargeRelService {


    @Override
    public Integer getUserCustCount(Long userId) {
        return this.count(Wrappers.lambdaQuery(RepalCustChargeRel.class).eq(RepalCustChargeRel::getMemberUserId, userId));
    }
}
